package com.miaxis.exam.dto;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 考场信息对象 exam_info
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@ApiModel(value = "ExamInfoDto", description = "考场信息输入对象")
public class ExamInfoDto  {

    @ApiModelProperty(value = "用户id",required = true)
    private Long userId;

    @ApiModelProperty(value = "考场名称")
    private String name;

    @ApiModelProperty(value = "城市ID")
    private String cityId;



}
