package com.miaxis.exam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.exam.domain.ExamInfo;
import com.miaxis.exam.dto.ExamInfoDto;
import com.miaxis.exam.vo.ExamInfoVipVo;

import java.util.List;

/**
 * 考场信息Service接口
 *
 * @author miaxis
 * @date 2023-03-20
 */
public interface IExamInfoService extends IService<ExamInfo>{
    /**
     * 查询考场信息列表
     *
     * @param examInfoDto 考场信息
     * @return 考场信息集合
     */
    List<ExamInfoVipVo> selectExamInfoList(ExamInfoDto examInfoDto);

}
