package com.miaxis.examvip.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.examvip.domain.VipUserExam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 考场会员Mapper接口
 *
 * @author miaxis
 * @date 2023-03-20
 */
public interface VipUserExamMapper extends BaseMapper<VipUserExam> {
    /**
     * 查询考场会员列表
     *
     * @param vipUserExam 考场会员
     * @return 考场会员集合
     */
    List<VipUserExam> selectVipUserExamList(VipUserExam vipUserExam);

    void deleteVipUserExamByUserIdAndGoodsId(@Param("userId")Long userId,@Param("goodsId") Long goodsId);

    int getUserExamByUserIdAndGoodsId(@Param("userId")Long userId,@Param("goodsId") Long goodsId);

}
