package com.miaxis.newgzpt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.common.annotation.DataSource;
import com.miaxis.common.enums.DataSourceTypeEnum;
import com.miaxis.newgzpt.domain.GzptSchPayLog;
import com.miaxis.newgzpt.mapper.GzptSchPayLogMapper;
import com.miaxis.newgzpt.service.IGzptSchPayLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


/**
 * <p>
 * 视频VIP表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
@Service
@DataSource(value = DataSourceTypeEnum.NEWGZPT)
public class GzptSchPayLogServiceImpl extends ServiceImpl<GzptSchPayLogMapper, GzptSchPayLog> implements IGzptSchPayLogService {


    @Resource
    private GzptSchPayLogMapper mapper;


    @Override
    public void saveSchPayLog(GzptSchPayLog gpztSchPayLog) {
        mapper.saveSchPayLog(gpztSchPayLog);
    }
}
