package com.miaxis.exam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.exam.domain.ExamInfo;
import com.miaxis.exam.dto.ExamInfoDto;
import com.miaxis.exam.vo.ExamInfoVipVo;

import java.util.List;

/**
 * 考场信息Mapper接口
 *
 * @author miaxis
 * @date 2023-03-20
 */
public interface ExamInfoMapper extends BaseMapper<ExamInfo> {
    /**
     * 查询考场信息列表
     *
     * @param examInfoDto 考场信息
     * @return 考场信息集合
     */
    List<ExamInfoVipVo> selectExamInfoList(ExamInfoDto examInfoDto);


}
