package com.miaxis.exam.vo;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 考场信息对象 exam_info
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@ApiModel(value = "ExamInfoCityVo", description = "考场信息城市返回值")
public class ExamInfoCityVo  {
    private static final long serialVersionUID = 1L;

    /** 城市ID */
    @ApiModelProperty(value = "城市ID")
    private String cityId;

    /** 城市名称 */
    @ApiModelProperty(value = "城市名称")
    private String city;
}
