package com.miaxis.examvip.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.examvip.domain.VipUserExam;

import java.util.List;

/**
 * 考场会员Service接口
 *
 * @author miaxis
 * @date 2023-03-20
 */
public interface IVipUserExamService extends IService<VipUserExam>{
    /**
     * 查询考场会员列表
     *
     * @param vipUserExam 考场会员
     * @return 考场会员集合
     */
    List<VipUserExam> selectVipUserExamList(VipUserExam vipUserExam);

    void deleteVipUserExamByUserIdAndGoodsId(Long userId, Long goodsId);

    int getUserExamByUserIdAndGoodsId(Long userId, Long goodsId);
}
