package com.miaxis.newgzpt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 学员基本信息表
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GzptSchActivationDTO implements Serializable {


    @ApiModelProperty(value = "驾校名称")
    private String jxmc;

    @ApiModelProperty(value = "学员ID")
    private Long userId;

    @ApiModelProperty(value = "是否已经删除 0正常 1已删除")
    private Integer isDel;

}
