package com.miaxis.newgzpt.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学员基本信息表
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GzptSchPayConfigDTO implements Serializable {


    @ApiModelProperty(value = "驾校名称")
    private String jxmc;

    @ApiModelProperty(value = "0关闭 1开通 此字段将权限大于开通时间")
    private Integer isOpen;

    @ApiModelProperty(value = "0关闭 1开通 此字段将权限大于开通时间")
    private String dqbh;

}
