package com.miaxis.newgzpt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.common.annotation.DataSource;
import com.miaxis.common.enums.DataSourceTypeEnum;
import com.miaxis.newgzpt.domain.GzptUserInfo;
import com.miaxis.newgzpt.domain.GzptUserInfoDel;
import com.miaxis.newgzpt.dto.GzptUserInfoDTO;
import com.miaxis.newgzpt.mapper.GzptUserInfoDelMapper;
import com.miaxis.newgzpt.mapper.GzptUserInfoMapper;
import com.miaxis.newgzpt.service.IGzptUserInfoDelService;
import com.miaxis.newgzpt.service.IGzptUserInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 学员基本信息表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Service
@DataSource(value = DataSourceTypeEnum.NEWGZPT)
public class GzptUserInfoDelServiceImpl extends ServiceImpl<GzptUserInfoDelMapper, GzptUserInfoDel> implements IGzptUserInfoDelService {


    @Resource
    private GzptUserInfoDelMapper mapper;



    @Override
    public GzptUserInfoDel getInfoDelById(Long id) {
        return  mapper.getInfoDelById(id);
    }
}
