package com.miaxis.wx.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WxOrderGoodsDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id",required = true)
    private Long userId;

    @ApiModelProperty(value = "商品ID（考场ID）",required = true)
    private Long goodsId;

    @ApiModelProperty(value = "商品类型 1:VIP 2:考场 3:实物",required = true)
    private Integer goodsType;

    @ApiModelProperty(value = "手机类型 1苹果 2安卓",required = true)
    private Integer phoneType;  // 1苹果 2安卓

}
